Subject: bug#1169: 23.0.60; (substitute-command-keys "\\{...}") adds extra newline

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 07 Jul 2011 19:21:06 +0200

"Drew Adams" <[email-masked]> writes:

> (substitute-command-keys "\\{minibuffer-local-map}") ; or another map
>
> The returned string ends in \n\n. It should end in just \n.
>
> If text is added after the returned string, then it should be up to
> that text to start with a \n if it wants a blank separator line.  If,
> for example, it starts instead with ^L, then the current code includes
> an extra blank line before the form feed.
>
> It should be up to the calling function to decide whether it wants a
> blank line at the end - only the calling function knows the context
> and whether such a line is appropriate.

I've now made the change, but I haven't totally replicated the look of
`C-h b' and the like.  It used to have

  ... stuff ...

  ^L
  ... more stuff ...

With the change, it now says:
  
  ... stuff ...
  ^L
  ... more stuff ...

I can add back the newlines if people want.  I'd rather get rid of the
^L characters, though.  Do they have any purpose any more?
  
-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/